body {
    margin: 0;
    padding: 0;
    background-color: black;
    box-sizing: border-box;
    overflow-x: hidden;
}

* {
    box-sizing: border-box;
}

.page2-2-1-grid-layout {
    width: 100%;
    display: grid;

    /* 6 equal columns */
    grid-template-columns: repeat(6, 1fr);

    /* perfect squares */
    grid-auto-rows: calc(100vw / 6);

    /* touching */
    gap: 0;
}

/* each grid square */
.page2-2-1-grid-cell {
    width: 100%;
    height: 100%;

    border: 1px solid white;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: rgb(15, 15, 15);

    overflow: hidden;
}

/* spans 2 grid squares */
.page2-2-1-grid-span-2 {
    grid-column: span 2;
}

/* testing square */
.page2-2-1-inner-square {
    width: 70%;
    height: 70%;

    background-color: red;
}

/* testing rectangle */
.page2-2-1-inner-rectangle {
    width: 85%;
    height: 70%;

    background-color: blue;
}

@media (max-width: 1100px) {
    .page2-2-1-grid-layout {
        grid-template-columns: repeat(4, 1fr);
        grid-auto-rows: calc(100vw / 4);
    }
}

@media (max-width: 700px) {
    .page2-2-1-grid-layout {
        grid-template-columns: repeat(2, 1fr);
        grid-auto-rows: calc(100vw / 2);
    }
}

























/*TEXT CSS EFFECTS*/
.white-outline {
    text-shadow: 
        2px 0 0 white,
        -2px 0 0 white, 
        0 2px 0 white, 
        0 -2px 0 white;
}
.black-outline {
    text-shadow: 
        2px 0 0 black, 
        -2px 0 0 black, 
        0 2px 0 black,
        0 -2px 0 black; 
    color: white;   
}
.thick-black-outline {
    text-shadow: 
        7px 0 0 black, 
        -7px 0 0 black, 
        0 7px 0 black,
        0 -7px 0 black; 
    color: white;   
}
